(*
	Setup.m
		FeynArts startup file
		last modified 23 Jan 03 th

Here you can set up your own changes and enhancements to FeynArts,
e.g. some particular options you always want set, or $SVMixing = True.
It is a good idea to do this here since changing the FeynArts code 
directly is inherently unportable.

*)


$Verbose := $VeryVerbose;

$ModelPath = { Directory[],
  ToFileName[{Directory[], "Models"}],
  ToFileName[{$FeynArtsDir, "Models"}] }

$ShapeDataDir = ToFileName[{$FeynArtsDir, "ShapeData"}]

$SVMixing = False

$CounterTerms = True

$FermionLines = True

	(* eliminate those `>' in front of continuation lines so
	   one can cut and paste more easily *)
format1[ Continuation[_] ] = "    "


P$Generic = Union[Flatten[P$Generic | $ParticleHeads]];
 P$NonCommuting =  Union[Flatten[P$NonCommuting | $FermionHeads]];
 SetOptions[FourVector, FeynCalcInternal -> False];
 SetOptions[MetricTensor, FeynCalcInternal -> False];
 SetOptions[DiracSlash, FeynCalcInternal -> False];
 (*Important. OneHighEnergyPhysics`FeynCalc`Loop`Loop is broken if HighEnergyPhysics`FeynCalc`FeynAmpDenominator`FeynAmpDenominator is orderless*) ClearAttributes[HighEnergyPhysics`FeynCalc`FeynAmpDenominator`FeynAmpDenominator, Orderless];
